NX Open C++ Reference Guide
Public Member Functions | List of all members
NXOpen::Weld::JointmarkPointsBuilder Class Reference

Used to create or edit a point in the list of points for Jointmark
To create a new instance of this class, use Weld::JointmarkBuilder::NewPoints

Created in NX9.0.0. More...

Inheritance diagram for NXOpen::Weld::JointmarkPointsBuilder:
NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Member Functions

NXOpen::ExpressionAngle ()
 Returns the angle through which X and Y axis to rotate
Created in NX9.0.0.
 
bool FlipDirection ()
 Returns the flip of Z axis.
 
NXOpen::PointPoint ()
 Returns the point at which the feature is created
Created in NX9.0.0.
 
void SetFlipDirection (bool flip)
 Sets the flip of Z axis.
 
void SetPoint (NXOpen::Point *point)
 Sets the point at which the feature is created
Created in NX9.0.0.
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called.
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t GetTag () const
 
<b>Deprecated</b>:<br>

   Use Tag instead.

 
tag_t Tag () const
 Returns the tag of this object.
 

Detailed Description

Used to create or edit a point in the list of points for Jointmark
To create a new instance of this class, use Weld::JointmarkBuilder::NewPoints

Created in NX9.0.0.


Member Function Documentation

NXOpen::Expression* NXOpen::Weld::JointmarkPointsBuilder::Angle ( )

Returns the angle through which X and Y axis to rotate
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

bool NXOpen::Weld::JointmarkPointsBuilder::FlipDirection ( )

Returns the flip of Z axis.

Z axis representing the normal can be flipped
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

NXOpen::Point* NXOpen::Weld::JointmarkPointsBuilder::Point ( )

Returns the point at which the feature is created
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

void NXOpen::Weld::JointmarkPointsBuilder::SetFlipDirection ( bool  flip)

Sets the flip of Z axis.

Z axis representing the normal can be flipped
Created in NX9.0.0.

License requirements : ugweld ("UG WELD")

Parameters
flipflip
void NXOpen::Weld::JointmarkPointsBuilder::SetPoint ( NXOpen::Point point)

Sets the point at which the feature is created
Created in NX9.0.0.



License requirements : ugweld ("UG WELD")

Parameters
pointpoint
virtual bool NXOpen::Weld::JointmarkPointsBuilder::Validate ( )
virtual

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.

Returns
Was self validation successful
Created in NX3.0.1.

License requirements : None

Implements NXOpen::GeometricUtilities::IComponentBuilder.


The documentation for this class was generated from the following file:
Copyright 2013 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.